/**
 * Represents an object is drawable to a canvas context object
 */
export interface Drawable {
  /**
   * Draws the object to a canvas context object.
   * @param {CanvasRenderingContext2D} ctx - the rendering context of the canvas to draw on.
   */
  draw(ctx: CanvasRenderingContext2D): void;
}
