/**
 * T is the type to convert.
 * S is the type after conversion.
 * @template T
 * @template S
 */
export interface Converter<T, S> {
  /**
   * Converts a value.
   * @param {T} value - the value to convert.
   * @returns {S} The converted number.
   */
  convert(value: T): S;
}
