import { Text } from "../../text/text";
import { Vector } from "../../maths/vector";
import { Style } from "../../styles/style";

export class HasText {
  protected text: Text;

  public setText(text: Text): this {
    this.text = text;
    return this;
  }
}

export class HasTextPosition {
  protected textPosition: Vector;

  public setTextPosition(textPosition: Vector): this {
    this.textPosition = textPosition;
    return this;
  }
}

export class HasTextStyle {
  protected textStyle: Style;

  public setTextStyle(textStyle: Style): this {
    this.textStyle = textStyle;
    return this;
  }
}
